CVE-2019-17544

libaspell.a in GNU Aspell before 0.60.8 has a stack-based buffer over-read in acommon::unescape in common/getdata.cpp via an isolated \ character.
Configurations

Configuration 1 (hide)

cpe:2.3:a:gnu:aspell:*:*:*:*:*:*:*:*

Configuration 2 (hide)

OR cpe:2.3:o:canonical:ubuntu_linux:19.04:*:*:*:*:*:*:*
cpe:2.3:o:canonical:ubuntu_linux:16.04:*:*:*:lts:*:*:*
cpe:2.3:o:canonical:ubuntu_linux:14.04:*:*:*:lts:*:*:*
cpe:2.3:o:canonical:ubuntu_linux:12.04:*:*:*:lts:*:*:*
cpe:2.3:o:canonical:ubuntu_linux:18.04:*:*:*:lts:*:*:*

Information

Published : 2019-10-14 02:15

Updated : 2021-08-02 00:15


NVD link : CVE-2019-17544

Mitre link : CVE-2019-17544


JSON object : View

Products Affected

canonical

  • ubuntu_linux

gnu

  • aspell
CWE
CWE-125

Out-of-bounds Read